Résoudre les problèmes d’installation de Safari 4

Par défaut

Top Sites.png
La news du hier, c’était la sortie de version beta de Safari 4, le navigateur internet d’Apple, avec que des bonnes choses dedans: on va résumer en disant que cela ressemble un peu à Google Chrome, en plus joli, et surtout, en disponible 😉

Maintenant, passer à Safari 4 sous Mac peut poser quelques problèmes:

* Si vous utilisez des plugins pour Safari, prenez soin de vérifier que chacun de ces plugins est compatible avec cette nouvelle version en allant sur le site de l’éditeur et télécharger sur votre poste la dernière version du plugin. Il faut y penser AVANT d’installer Safari 4: je ne l’avais pas fait, et ensuite impossible de démarrer Safari qui crashait à chaque fois, j’ai du passé par Firefox pour récupérer la nouvelle version de Glims.
* Si un plugin n’est pas compatible avec Safari 4, soit vous attendez avant de migrer, soit vous le désinstallez : c’est bête à dire, mais au moins les choses sont claires.
* N’oubliez pas que cette version beta n’est actuellement disponible qu’en anglais, donc anglophobe s’abstenir 😉
* Pour le moment il semble que GMail offline ne soit pas compatible avec la nouvelle version de Safari: il faut attendre une probable mise à jour de Google Gears pour que cela fonctionne à nouveau.

Sinon, si vous n’aimez pas le principe des onglets au dessus de la barre d’adresse et que vous préférez comme c’était avant, parce que avant c’était mieux, alors 1) vous vous faites vieux et 2) il suffit de taper la ligne de commande suivante dans une fenêtre Terminal:

defaults write com.apple.Safari DebugSafari4TabBarIsOnTop -bool NO

En tout cas, le principe de la page d’accueil avec des vignettes des sites les plus consultés, j’avais trouvé ça génial sur Google Chrome, je suis content de voir cette fonctionnalité arriver sur Mac … D’ailleurs, il va lui rester quoi à Google Chrome pour se différencier de Safari ?

5 réflexions au sujet de « Résoudre les problèmes d’installation de Safari 4 »

  1. apprenti informatique

    voila mon ordi est un MAC OSX version 10.3.9 G4 et mon navigateur peine pour ouvrir les nouvelles fonctionnalités sur sites. J’ai essayé d’importer Safari 4.0.2 car je suis toujours reste en Safari 1.3.2 qui est un peu antideluvien maintenant mais quand j’essaie d’ouvrir l’icone qui ressemble a un carton ouvert je me retrouve face au message suivant : ” impossible d’ouvrir l’ensemble d’installation Safari 4.0.2. Leo le certificat du contenu de ce paquet est introuvable” je suis pas sur de comprendre ce que ça veut dire mais surtout ça m’empéche de régler mon problème de navigateur. J’ai aussi essayé de nettoyer la mémoire cache mais ça n’a rien changé. J’espère que quelqu'”un pourra me répondre. Merci !

  2. Safari 4 nécessite Mac OSX Tiger (10.4) ou Leopard (10.5) pour fonctionner. Donc je suppose que le fait d’être encore sous Mac OSX Panther (10.3) explique les problèmes que tu rencontre. Je crois d’ailleurs que c’était déjà pour la précédente version de Safari, ie Safari 3.

    Donc pour utiliser Safari 3 ou 4 il va falloir d’abord passer par une mise à jour de ton OSX au préalable 😉

  3. apprenti informatique

    Merci beaucoup… par contre je suis allé sur le site Mac et j’ai pas vu de possibilités de téléchargement d’une mise à jour… Ca veut dire qu’il faut que j’aille dans une boutique Mac, que je leur laisse mon disque dur (Mini) et qu’ils me facturent l’opération ? Sinon, j’ai aussi esssayé la version 3 Safari en me disant que je risquais de crasher le système mais ça n’a pas marché non plus…

  4. Le changement de version de Mac OSX est payant: il faut acheter le DVD adéquat, ce n’est pas disponible en téléchargement. Par contre, il faut penser à vérifier auparavant si la nouvelle version de l’OS est compatible avec l’architecture de ton Mac (Intel ou PowerPC).

Les commentaires sont fermés.